Package pyxmpp :: Module interfaces :: Class IPyXMPPHelper

[hide private]

# Class IPyXMPPHelper

source code

    zope.interface.Interface --+
                               |
                              IPyXMPPHelper

Known Subclasses:
  - IFeaturesProvider
  - , IIqHandlersProvider
  - , IMessageHandlersProvider
  - , IPresenceHandlersProvider

Base for all interfaces used as PyXMPP helpers.

Class Variables | [hide private]

| __bases__ = ``(`<InterfaceClass zope.interface.Interface>`)``
| __identifier__ = ``'``pyxmpp.interfaces.IPyXMPPHelper``'``
| __iro__ = ``(`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`,` <`...``
| __name__ = ``'``IPyXMPPHelper``'``
| __sro__ = ``(`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`,` <`...``
| _implied = ``{`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`:` `...``
| dependents = `<WeakKeyDictionary at 141764428>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`, `_InterfaceClass__attrs`

Class Variable Details | [hide private]

### __iro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>: (),
       <InterfaceClass zope.interface.Interface>: ()}